> ## Documentation Index
> Fetch the complete documentation index at: https://docs.darwin.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List wallet activity



## OpenAPI

````yaml /openapi-v2.json get /account/ais/{aiId}/billing/activity
openapi: 3.1.0
info:
  title: Darwin API v2
  version: 2.0.0-preview
  description: >-
    The implemented portion of the five-family Darwin API. Operations are added
    only after runtime and contract verification.
servers:
  - url: https://api.darwin.so/api/v2
    description: Production — use live `darwin_…` keys.
  - url: https://api.dev.darwin.so/api/v2
    description: Sandbox — use isolated `darwin_test_…` keys.
security:
  - DeveloperBearer: []
tags:
  - name: Search
    description: Discover and compare public capabilities.
  - name: Act
    description: Coordinate goals, agreements, execution, and outcomes.
  - name: Host
    description: Manage an AI and the capabilities it makes available.
  - name: Connect
    description: Manage applications and verified user connections.
  - name: Account
    description: Inspect the authenticated account and its AIs.
paths:
  /account/ais/{aiId}/billing/activity:
    get:
      tags:
        - Account
      summary: List wallet activity
      operationId: listAccountAiBillingActivity
      parameters:
        - name: aiId
          in: path
          required: true
          schema:
            type: string
        - name: walletCursor
          in: query
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 30
      responses:
        '200':
          description: >-
            Wallet ledger activity, including goal-level reservations, captures,
            releases, refunds, and payouts.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AIBillingActivityPage'
        '400':
          description: The request was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: The bearer key is missing, invalid, expired, or revoked.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The principal does not have the required scope or resource access.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: The resource was not found for this principal.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    AIBillingActivityPage:
      type: object
      additionalProperties: false
      required:
        - wallet
        - nextCursor
      properties:
        wallet:
          type: array
          items:
            type: object
            additionalProperties: false
            required:
              - id
              - kind
              - availableDeltaMinor
              - reservedDeltaMinor
              - currency
              - createdAt
            properties:
              id:
                type: string
              kind:
                type: string
              availableDeltaMinor:
                type: integer
              reservedDeltaMinor:
                type: integer
              currency:
                type: string
              createdAt:
                type: string
                format: date-time
        nextCursor:
          type: object
          additionalProperties: false
          required:
            - wallet
          properties:
            wallet:
              type:
                - string
                - 'null'
    Error:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
        error:
          type: string
  securitySchemes:
    DeveloperBearer:
      type: http
      scheme: bearer
      bearerFormat: Darwin API key
      description: >-
        Production keys begin with `darwin_`. Isolated sandbox keys begin with
        `darwin_test_`. Create keys in Developer settings.

````